---
search:
  tags:
    - Accounts
    - POST
seo:
  description: >-
    Find up to N shortest friend paths between two accounts. Reference for the
    POST /v1/account.findFriendPath endpoint in the SteamSets API.
sidebar:
  label: Find up to N shortest friend paths between two accounts
  badge: POST
title: Find up to N shortest friend paths between two accounts
type: openapi-operation
---
`POST /v1/account.findFriendPath`

**Request body** (`application/json`, required)

- `exclude` (AccountSearch[] | null) — Accounts to exclude from all paths. From/To are never excluded even if listed.
- `from` (AccountSearch, required) — Starting account
- `maxPaths` (integer<int32>) — Max number of paths to return (default 10, capped at 50). A direct friendship always returns a single path regardless of this value.
- `to` (AccountSearch, required) — Target account

Request body example:

```json
{
  "exclude": [
    {
      "id": {
        "accountId": 0,
        "steamId64": "stringstringstrin"
      },
      "vanity": {
        "type": "steam",
        "value": "string"
      }
    }
  ],
  "from": {
    "id": {
      "accountId": 0,
      "steamId64": "stringstringstrin"
    },
    "vanity": {
      "type": "steam",
      "value": "string"
    }
  },
  "maxPaths": 0,
  "to": {
    "id": {
      "accountId": 0,
      "steamId64": "stringstringstrin"
    },
    "vanity": {
      "type": "steam",
      "value": "string"
    }
  }
}
```

**Responses**

- `200` — OK
- `400` — Bad Request
- `401` — Unauthorized
- `404` — Not Found
- `422` — Unprocessable Entity
- `500` — Internal Server Error
- `503` — Service Unavailable

Response example, 200:

```json
{
  "found": true,
  "paths": [
    {
      "distance": 0,
      "path": [
        {
          "animatedAvatar": "string",
          "apps": 123456,
          "avatar": "f1a1d2c3d0c9d1e1f2f3f4f5f6f7f8f9",
          "avatarFrame": "string",
          "awardsGiven": 123456,
          "awardsReceived": 123456,
          "background": "string",
          "badges": 123456,
          "bans": 0,
          "city": {
            "name": "Bad Krozingen"
          },
          "country": {
            "code": "DE",
            "name": "Germany"
          },
          "createdAt": "2023-01-01T00:00:00Z",
          "donated": 123456,
          "economyBan": "steam",
          "foilBadges": 123456,
          "friends": 123456,
          "gameBans": 0,
          "level": 123456,
          "miniBackground": "string",
          "name": "steamsets",
          "nameEffect": "rainbow",
          "normalBadges": 123456,
          "playtime": 123456,
          "pointsGiven": 123456,
          "pointsReceived": 123456,
          "privacy": "public",
          "region": {
            "name": "Europe"
          },
          "roles": [
            {
              "extras": {
                "property1": null,
                "property2": null
              },
              "rating": 0,
              "role": "user"
            }
          ],
          "state": {
            "name": "Baden-Wurttemberg"
          },
          "steamId": "76561198842603734",
          "steamSetsScore": 0,
          "steamSetsVanity": "steamsets",
          "steamVanity": "steamsets",
          "supporter": {
            "active": true,
            "months": 3
          },
          "themeColor": "#FF5733",
          "vacBans": 0,
          "xp": 123456
        }
      ]
    }
  ]
}
```
